<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="860dp"
            android:layout_height="wrap_content"
            android:layout_margin="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout10"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="消毒灯计划"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <TextView
                    android:id="@+id/btn_insert"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"
                    android:layout_marginTop="100dp"
                    android:layout_marginEnd="30dp"
                    android:background="@drawable/bg_work_blue"
                    android:textColor="@color/white"
                    android:paddingHorizontal="30dp"
                    android:paddingVertical="10dp"
                    android:text="@string/insert"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginStart="30dp"
                    android:orientation="horizontal"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/constraintLayout10">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="自动控制" />

                    <ImageView
                        android:id="@+id/iv_auto"
                        android:layout_width="260dp"
                        android:layout_height="80dp"
                        android:padding="10dp"
                        android:src="@mipmap/on" />

                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:layout_width="800dp"
                    android:layout_height="400dp"
                    android:layout_marginHorizontal="30dp"
                    android:layout_marginTop="200dp"
                    android:layout_marginBottom="30dp"
                    app:cardCornerRadius="10dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <LinearLayout
                        android:id="@+id/ll_auto_set_param_none"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_marginTop="150dp"
                            android:layout_gravity="center"
                            android:layout_height="wrap_content"
                            android:text="不启动消毒灯自动控制" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/ll_auto_set_param"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <LinearLayout
                            android:id="@+id/linearLayout6"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:gravity="center_vertical"
                                android:orientation="horizontal"
                                android:paddingVertical="30dp">

                                <TextView
                                    android:id="@+id/tv_id"
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="30dp"
                                    android:layout_weight="2"
                                    android:gravity="center"
                                    android:text="序号" />

                                <TextView
                                    android:id="@+id/tv_start_time"
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="30dp"
                                    android:layout_weight="3"
                                    android:gravity="center"
                                    android:text="@string/start_time" />

                                <TextView
                                    android:id="@+id/tv_end_time"
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="30dp"
                                    android:layout_weight="3"
                                    android:gravity="center"
                                    android:text="@string/end_time" />

                                <TextView
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="30dp"
                                    android:layout_weight="3"
                                    android:gravity="center"
                                    android:text="操作" />

                            </LinearLayout>

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="2dp"
                                android:layout_marginHorizontal="20dp"
                                android:layout_marginTop="10dp"
                                android:background="#DCE3E3" />
                        </LinearLayout>

                        <TextView
                            android:id="@+id/tv_tip_none"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/task_none"
                            android:textSize="40sp"
                            android:visibility="gone"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@+id/linearLayout6" />

                        <ScrollView
                            android:id="@+id/scrollView2"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_marginTop="10dp"
                            android:layout_marginBottom="10dp"
                            android:layout_weight="1"
                            app:layout_constraintTop_toBottomOf="@+id/linearLayout6">

                            <androidx.recyclerview.widget.RecyclerView
                                android:id="@+id/rv_uv_task"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                tools:itemCount="4"
                                tools:listitem="@layout/item_uv_task" />

                        </ScrollView>

                    </LinearLayout>
                </androidx.cardview.widget.CardView>
            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
